Package org.lwjgl.opengles

# Class OESVertexArrayObject

java.lang.Object
org.lwjgl.opengles.OESVertexArrayObject

public final class OESVertexArrayObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_VERTEX_ARRAY_BINDING_OES`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindVertexArrayOES(int array)`
`static void`
`glDeleteVertexArraysOES(int array)`
Overloads glDeleteVertexArraysOES.
`static void`
`glDeleteVertexArraysOES(IntBuffer arrays)`
`static int`
`glGenVertexArraysOES()`
Overloads glGenVertexArraysOES.
`static void`
`glGenVertexArraysOES(IntBuffer arrays)`
`static boolean`
`glIsVertexArrayOES(int array)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_VERTEX_ARRAY_BINDING_OES

public static final int GL_VERTEX_ARRAY_BINDING_OES
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv:

See Also:
  - Constant Field Values

## Method Details

### glBindVertexArrayOES

public static void glBindVertexArrayOES(int array)

### glDeleteVertexArraysOES

public static void glDeleteVertexArraysOES(IntBuffer arrays)

### glDeleteVertexArraysOES

public static void glDeleteVertexArraysOES(int array)
Overloads glDeleteVertexArraysOES.

### glGenVertexArraysOES

public static void glGenVertexArraysOES(IntBuffer arrays)

### glGenVertexArraysOES

public static int glGenVertexArraysOES()
Overloads glGenVertexArraysOES.

### glIsVertexArrayOES

public static boolean glIsVertexArrayOES(int array)